From 6ec9844921a2a465e02c26e0a09344aaff70fe93 Mon Sep 17 00:00:00 2001
From: nick <myownlittlworld@hotmail.com>
Date: Mon, 25 May 2009 18:14:01 -0500
Subject: Created the BG2 4CD US Minimal Installer.

---
 includes/cd-includes.sh      |  8 +++++---
 includes/generic-includes.sh | 25 +++++++++++++++++--------
 2 files changed, 22 insertions(+), 11 deletions(-)

(limited to 'includes')

diff --git a/includes/cd-includes.sh b/includes/cd-includes.sh
index e7c2526..dfb0e68 100644
--- a/includes/cd-includes.sh
+++ b/includes/cd-includes.sh
@@ -17,19 +17,21 @@
 
 [ -z "$CDMOUNT" ] && export CDMOUNT="/media/cdrom"
 
+# the MD5sum of the data1.cab of the first CD in each set.
 export BG1_5CD_INTL_MD5="138528155dfeb695bd63f90eacee7dc0"
 export BG1_TOTSC_3CD_US_MD5="1a6828b97a27967e8c4acc25e1ef48d2"
 export BG1_TOTSC_1CD_UK_MD5="e27d259ddc0171ff945dbba136e60309"
 
 export BG2_4CD_US_MD5="8acf4a6348de916bfaf077469a427b65"
+export BG2_TOB_1CD_US_MD5="b1f247a952c13cb8e0b6efc108aaeeaa"
 
 export PST_2CD_MD5="640b61443cc86c434f1b6826e63c0e33"
 export PST_4CD_MD5="5e8c2075163aca124de4a467fb33063d"
 
-export IWD_2CD_US_MD5=""
-export IWD_HOW_1CD_US_MD5=""
+export IWD_2CD_US_MD5="b79582f4f80270d48e6b26f529ba31dd"
+export IWD_HOW_1CD_US_MD5="d2c42de47026f6384053965319ff511b"
 
-export IWD2_2CD_US_MD5=""
+export IWD2_2CD_US_MD5="77307366ba3e8a246f6f238cbb3b7874"
 
 # a record of every IE collection I can find.
 export IWD_ULTIMATE_COLLECTION_MD5=""
diff --git a/includes/generic-includes.sh b/includes/generic-includes.sh
index 51cffcb..1e0e89d 100644
--- a/includes/generic-includes.sh
+++ b/includes/generic-includes.sh
@@ -56,13 +56,13 @@ function diequietly
 
 function setuptmp
 {
-	rm -rf $TMPDIR
-	mkdir -p $TMPDIR || die
+	rm -rf "$TMPDIR"
+	mkdir -p "$TMPDIR" || die
 }
 
 function cleanuptmp
 {
-	rm -rf $TMPDIR
+	rm -rf "$TMPDIR"
 }
 
 function checkforbin
@@ -71,7 +71,7 @@ function checkforbin
 	retstatus=0
 
 	while [ "$1" != "" ]; do
-		binname=$1
+		binname="$1"
 
 		which "$binname" &> /dev/null
 		if [ $? -ne 0 ]; then
@@ -110,13 +110,13 @@ function usage
 {
 	echo "Usage:" $0 "[-i installdir] [-p patchdir] [-c cdmount] [-l language]"
 	echo -e "  -i installdir is the directory to install to."
-	echo -e "     default:" $TARGETDIR
+	echo -e "     default: ${TARGETDIR} (changes per game)"
 	echo -e "  -c cdmount is the mount location of the cd drive used."
-	echo -e "     default:" $CDMOUNT
+	echo -e "     default: ${CDMOUNT}"
 	echo -e "  -p patchdir is an optional directory containing patch files."
-	echo -e "     default:" $PATCHDIR
+	echo -e "     default: ${PATCHDIR}"
 	echo -e "  -l language can be one of English, Spanish, French, German, Italian   or Language Independant"
-	echo -e "     default:" $LANGUAGE
+	echo -e "     default: ${LANGUAGE}"
 	# TODO: Add option to show and select all known BG1 versions
 }
 
@@ -150,3 +150,12 @@ function copylower
 		cp -f "$(echo $1|tr A-Z a-z)" "$2"
 	fi
 }
+
+function move_and_remove
+{
+    # usage: move_and_remove source destination
+    # copies the files in the source directory to the destination.
+    mkdir -p "$2" || die
+    cp -R "$1/"* "$2" || die
+    rm -r "$1"
+}
-- 
cgit v1.2.3